Get screened protein candidates
GET/compute/v1/protein/library-screen/{id}/results
Retrieve paginated results from a protein library screen
Path Parameters
id: string
Query Parameters
after_id: optional string
Return results after this ID
before_id: optional string
Return results before this ID
limit: optional number
Max results to return. Defaults to 100.
minimum1
maximum1000
workspace_id: optional string
Workspace ID. Only used with admin API keys. Ignored (or validated) for workspace-scoped keys.
Returns
first_id: string
ID of the first item. Use as before_id for the previous page.
has_more: boolean
last_id: string
ID of the last item. Use as after_id for the next page.
Get screened protein candidates
curl https://api.boltz.bio/compute/v1/protein/library-screen/$ID/results \
-H "x-api-key: $BOLTZ_API_KEY"{
"data": [
{
"id": "id",
"artifacts": {
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"metrics": {
"binding_confidence": 0,
"helix_fraction": 0,
"iptm": 0,
"loop_fraction": 0,
"min_interaction_pae": 0,
"sheet_fraction": 0,
"structure_confidence": 0
},
"external_id": "external_id",
"warnings": [
{
"code": "code",
"message": "message"
}
]
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}Returns Examples
{
"data": [
{
"id": "id",
"artifacts": {
"archive": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"structure": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
}
},
"created_at": "2019-12-27T18:11:19.117Z",
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"metrics": {
"binding_confidence": 0,
"helix_fraction": 0,
"iptm": 0,
"loop_fraction": 0,
"min_interaction_pae": 0,
"sheet_fraction": 0,
"structure_confidence": 0
},
"external_id": "external_id",
"warnings": [
{
"code": "code",
"message": "message"
}
]
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id"
}